Journey API
Get Journey
Fetch a single journey snapshot with tasks, health checks, and workflow failures.
GET
/
v2
/
journeys
/
{id}
Get Journey
curl --request GET \
--url https://public.api.serval.com/v2/journeys/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"teamId": "<string>",
"friendlyIdentifier": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"requesterUserId": "<string>",
"requesterManagerUserId": "<string>",
"progressPercent": 123,
"currentTaskIndex": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"metadata": {
"onboarding": {
"startDate": {
"year": 123,
"month": 123,
"day": 123
},
"welcomeMessage": "<string>"
}
},
"createdByWorkflow": {
"id": "<string>",
"name": "<string>"
},
"tasks": [
{
"id": "<string>",
"parentTaskId": "<string>",
"name": "<string>",
"description": "<string>",
"dependsOnIds": [
"<string>"
],
"assignedToUserId": "<string>",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"isStatusCheck": true,
"pollingIntervalMs": "<unknown>",
"latestWorkflowCall": {
"id": "<string>",
"workflowId": "<string>",
"workflowName": "<string>",
"runId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"formConfirmationRequired": true,
"formConfirmationResponse": true,
"statusUpdatedAt": "2023-11-07T05:31:56Z"
}
}
],
"healthChecks": [
{
"id": "<string>",
"taskId": "<string>",
"subtaskId": "<string>",
"workflowId": "<string>",
"workflowName": "<string>",
"workflowCallId": "<string>",
"runId": "<string>",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
}
}
],
"healthCheckCounts": {
"totalCount": 123,
"failingCount": 123,
"warningCount": 123,
"passingCount": 123,
"runningCount": 123,
"noDataCount": 123,
"canceledCount": 123
},
"workflowFailures": [
{
"workflowCallId": "<string>",
"runId": "<string>",
"workflowId": "<string>",
"workflowName": "<string>",
"taskId": "<string>",
"subtaskId": "<string>",
"validationErrors": {
"displayMessage": "<string>",
"fieldErrors": {},
"translations": {}
},
"statusCheckResult": {
"isComplete": true,
"message": "<string>",
"messageTranslations": {}
},
"runResult": "<string>",
"runCompletedAt": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123
}
]
}
}Was this page helpful?
⌘I
Get Journey
curl --request GET \
--url https://public.api.serval.com/v2/journeys/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"teamId": "<string>",
"friendlyIdentifier": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"requesterUserId": "<string>",
"requesterManagerUserId": "<string>",
"progressPercent": 123,
"currentTaskIndex": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"metadata": {
"onboarding": {
"startDate": {
"year": 123,
"month": 123,
"day": 123
},
"welcomeMessage": "<string>"
}
},
"createdByWorkflow": {
"id": "<string>",
"name": "<string>"
},
"tasks": [
{
"id": "<string>",
"parentTaskId": "<string>",
"name": "<string>",
"description": "<string>",
"dependsOnIds": [
"<string>"
],
"assignedToUserId": "<string>",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"isStatusCheck": true,
"pollingIntervalMs": "<unknown>",
"latestWorkflowCall": {
"id": "<string>",
"workflowId": "<string>",
"workflowName": "<string>",
"runId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"formConfirmationRequired": true,
"formConfirmationResponse": true,
"statusUpdatedAt": "2023-11-07T05:31:56Z"
}
}
],
"healthChecks": [
{
"id": "<string>",
"taskId": "<string>",
"subtaskId": "<string>",
"workflowId": "<string>",
"workflowName": "<string>",
"workflowCallId": "<string>",
"runId": "<string>",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
}
}
],
"healthCheckCounts": {
"totalCount": 123,
"failingCount": 123,
"warningCount": 123,
"passingCount": 123,
"runningCount": 123,
"noDataCount": 123,
"canceledCount": 123
},
"workflowFailures": [
{
"workflowCallId": "<string>",
"runId": "<string>",
"workflowId": "<string>",
"workflowName": "<string>",
"taskId": "<string>",
"subtaskId": "<string>",
"validationErrors": {
"displayMessage": "<string>",
"fieldErrors": {},
"translations": {}
},
"statusCheckResult": {
"isComplete": true,
"message": "<string>",
"messageTranslations": {}
},
"runResult": "<string>",
"runCompletedAt": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123
}
]
}
}
